document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu functionality
  const menuBtn = document.querySelector('.mobile-menu-btn');
  const navLinks = document.querySelector('.nav-links');
  
  menuBtn?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Modal functionality
  const modal = document.getElementById('login-modal');
  const portalBtn = document.querySelector('.portal-btn');
  const closeBtn = document.querySelector('.close-btn');
  
  portalBtn?.addEventListener('click', (e) => {
    e.preventDefault();
    modal.style.display = 'block';
  });
  
  closeBtn?.addEventListener('click', () => {
    modal.style.display = 'none';
  });
  
  window.addEventListener('click', (e) => {
    if (e.target === modal) {
      modal.style.display = 'none';
    }
  });

  // Login form submission
  const loginForm = document.getElementById('login-form');
  
  loginForm?.addEventListener('submit', (e) => {
    e.preventDefault();
    const email = document.getElementById('email').value;
    const password = document.getElementById('password').value;
    
    // Here you would typically make an API call to verify credentials
    console.log('Login attempted:', { email, password });
    
    // For demo purposes, show success message
    alert('Login successful!');
    modal.style.display = 'none';
  });

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });
});